package com.atguigu.tingshu.dispatch.job;

import com.atguigu.tingshu.search.client.SearchFeignClient;
import com.atguigu.tingshu.user.client.UserFeignClient;
import com.xxl.job.core.handler.annotation.XxlJob;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Slf4j
@Component
public class DispatchHandler {

    @Autowired
    private SearchFeignClient searchFeignClient;

    @Autowired
    private UserFeignClient userFeignClient;

    /**
     * 更新Redis中小时榜任务
     */
    @XxlJob("updateLatelyAlbumRanking")
    public void updateLatelyAlbumRanking() {
        log.info("更新Redis中小时榜任务.");
        searchFeignClient.updateLatelyAlbumRanking();
    }


    /**
     * 更新VIP会员标识
     */
    @XxlJob("updateVipExpireStatus")
    public void updateVipExpireStatus() {
        log.info("更新VIP会员标识任务.");
        userFeignClient.updateVipExpireStatus();
    }

}
